#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x46e8b552, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x83d1389b, __VMLINUX_SYMBOL_STR(ahci_ops) },
	{ 0xdd7b31bc, __VMLINUX_SYMBOL_STR(ata_platform_remove_one) },
	{ 0x6cccc8e7, __VMLINUX_SYMBOL_STR(ahci_sdev_attrs) },
	{ 0x913d93eb, __VMLINUX_SYMBOL_STR(ahci_shost_attrs) },
	{ 0x4fb7aa5b, __VMLINUX_SYMBOL_STR(ata_scsi_unlock_native_capacity) },
	{ 0xa697efe5, __VMLINUX_SYMBOL_STR(ata_std_bios_param) },
	{ 0xa6c61e59, __VMLINUX_SYMBOL_STR(ata_scsi_change_queue_depth) },
	{ 0x38cd20ff, __VMLINUX_SYMBOL_STR(ata_scsi_slave_destroy) },
	{ 0xf8c94ebc, __VMLINUX_SYMBOL_STR(ata_scsi_slave_config) },
	{ 0xe02bf37b, __VMLINUX_SYMBOL_STR(ata_scsi_queuecmd) },
	{ 0x82394b16, __VMLINUX_SYMBOL_STR(ata_scsi_ioctl) },
	{ 0xa6fbdd67, __VMLINUX_SYMBOL_STR(platform_driver_unregister) },
	{ 0xdac5c6e3, __VMLINUX_SYMBOL_STR(__platform_driver_register) },
	{ 0x15ba50a6, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0xd8a1e7ff, __VMLINUX_SYMBOL_STR(ahci_start_fis_rx) },
	{ 0xed4b2a6e, __VMLINUX_SYMBOL_STR(ata_msleep) },
	{ 0xd4d067de, __VMLINUX_SYMBOL_STR(ahci_qc_issue) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x3fc43607, __VMLINUX_SYMBOL_STR(acpi_get_object_info) },
	{ 0xca4ae78a, __VMLINUX_SYMBOL_STR(is_acpi_device_node) },
	{ 0x4806b02a, __VMLINUX_SYMBOL_STR(ahci_platform_enable_resources) },
	{ 0xaa482351, __VMLINUX_SYMBOL_STR(ahci_platform_disable_clks) },
	{ 0x85bbeef9, __VMLINUX_SYMBOL_STR(acpi_match_device) },
	{ 0xf87969be, __VMLINUX_SYMBOL_STR(ahci_platform_init_host) },
	{ 0xa36cacba, __VMLINUX_SYMBOL_STR(_dev_info) },
	{ 0x9ba1f445, __VMLINUX_SYMBOL_STR(ahci_platform_enable_clks) },
	{ 0x6e6c0bfd, __VMLINUX_SYMBOL_STR(of_match_device) },
	{ 0xb7b181f7, __VMLINUX_SYMBOL_STR(devm_ioremap_resource) },
	{ 0x367f79ce, __VMLINUX_SYMBOL_STR(platform_get_resource) },
	{ 0xddf22d9, __VMLINUX_SYMBOL_STR(devm_kmalloc) },
	{ 0x6bc1f2aa, __VMLINUX_SYMBOL_STR(ahci_platform_get_resources) },
	{ 0xe8cd56dc, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0x75349f01, __VMLINUX_SYMBOL_STR(__dynamic_dev_dbg) },
	{ 0xf9a482f9, __VMLINUX_SYMBOL_STR(msleep) },
	{ 0xfc906f21, __VMLINUX_SYMBOL_STR(ahci_do_softreset) },
	{ 0x7883caea, __VMLINUX_SYMBOL_STR(ata_do_dev_read_id) },
	{ 0xd4e660fe, __VMLINUX_SYMBOL_STR(ahci_check_ready) },
	{ 0x4fdc945d, __VMLINUX_SYMBOL_STR(sata_deb_timing_normal) },
	{ 0xcccfb2fa, __VMLINUX_SYMBOL_STR(sata_deb_timing_hotplug) },
	{ 0xb432c5a1, __VMLINUX_SYMBOL_STR(dev_warn) },
	{ 0x8ea4f7e8, __VMLINUX_SYMBOL_STR(ahci_dev_classify) },
	{ 0xb8d4b7c7, __VMLINUX_SYMBOL_STR(sata_scr_read) },
	{ 0x7f73d639, __VMLINUX_SYMBOL_STR(sata_link_hardreset) },
	{ 0x6cd21997, __VMLINUX_SYMBOL_STR(ata_tf_to_fis) },
	{ 0x8e7a30bb, __VMLINUX_SYMBOL_STR(ahci_handle_port_intr) },
	{ 0x5cd885d5, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0x68becd5, __VMLINUX_SYMBOL_STR(ahci_platform_disable_resources) },
	{ 0x1fdc7df2, __VMLINUX_SYMBOL_STR(_mcount) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=libahci_platform";

MODULE_ALIAS("of:N*T*Capm,xgene-ahci");
MODULE_ALIAS("of:N*T*Capm,xgene-ahciC*");
MODULE_ALIAS("of:N*T*Capm,xgene-ahci-v2");
MODULE_ALIAS("of:N*T*Capm,xgene-ahci-v2C*");
MODULE_ALIAS("acpi*:APMC0D0D:*");
MODULE_ALIAS("acpi*:APMC0D32:*");

MODULE_INFO(srcversion, "A2DA0B3A4D31DEE50C9541E");

MODULE_INFO(suserelease, "openSUSE Leap 15.1");
