#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x46e8b552, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x972248c5, __VMLINUX_SYMBOL_STR(usbnet_resume) },
	{ 0xff14ef64, __VMLINUX_SYMBOL_STR(usbnet_suspend) },
	{ 0x1b274b9f, __VMLINUX_SYMBOL_STR(usbnet_disconnect) },
	{ 0xe433b6ad, __VMLINUX_SYMBOL_STR(usbnet_set_link_ksettings) },
	{ 0x4e9fb3ab, __VMLINUX_SYMBOL_STR(usbnet_get_link_ksettings) },
	{ 0xa92f9470, __VMLINUX_SYMBOL_STR(usbnet_nway_reset) },
	{ 0xcb8f245d, __VMLINUX_SYMBOL_STR(usbnet_set_msglevel) },
	{ 0xed93c1d2, __VMLINUX_SYMBOL_STR(usbnet_get_msglevel) },
	{ 0xeed19ecc, __VMLINUX_SYMBOL_STR(usbnet_get_stats64) },
	{ 0xbeccf57c, __VMLINUX_SYMBOL_STR(usbnet_tx_timeout) },
	{ 0x41fb2c1c, __VMLINUX_SYMBOL_STR(usbnet_change_mtu) },
	{ 0x924b918c, __VMLINUX_SYMBOL_STR(eth_validate_addr) },
	{ 0x9d3c861a, __VMLINUX_SYMBOL_STR(eth_mac_addr) },
	{ 0xcf8d5a62, __VMLINUX_SYMBOL_STR(usbnet_start_xmit) },
	{ 0xd466197b, __VMLINUX_SYMBOL_STR(usbnet_stop) },
	{ 0xe477c3e9, __VMLINUX_SYMBOL_STR(usbnet_open) },
	{ 0x7b002884, __VMLINUX_SYMBOL_STR(usb_deregister) },
	{ 0x2e29adac, __VMLINUX_SYMBOL_STR(usb_register_driver) },
	{ 0x205a8fc4, __VMLINUX_SYMBOL_STR(usbnet_status_stop) },
	{ 0x88bfa7e, __VMLINUX_SYMBOL_STR(cancel_work_sync) },
	{ 0x4c3c42ce, __VMLINUX_SYMBOL_STR(usbnet_link_change) },
	{ 0xfc982daa, __VMLINUX_SYMBOL_STR(del_timer_sync) },
	{ 0xf72d9500, __VMLINUX_SYMBOL_STR(usb_control_msg) },
	{ 0xa87cf413, __VMLINUX_SYMBOL_STR(clear_bit) },
	{ 0xc985b295, __VMLINUX_SYMBOL_STR(usbnet_status_start) },
	{ 0x3b1cb1a, __VMLINUX_SYMBOL_STR(usbnet_probe) },
	{ 0x15ba50a6, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x62451f4, __VMLINUX_SYMBOL_STR(add_timer) },
	{ 0x3ca6836d, __VMLINUX_SYMBOL_STR(usbnet_write_cmd) },
	{ 0x2d3385d3, __VMLINUX_SYMBOL_STR(system_wq) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0xae8c4d0c, __VMLINUX_SYMBOL_STR(set_bit) },
	{ 0xefd7b334, __VMLINUX_SYMBOL_STR(skb_clone) },
	{ 0x67b484d9, __VMLINUX_SYMBOL_STR(skb_pull) },
	{ 0x9844c2cb, __VMLINUX_SYMBOL_STR(usbnet_skb_return) },
	{ 0xfb08c590, __VMLINUX_SYMBOL_STR(skb_trim) },
	{ 0x1d58cde4, __VMLINUX_SYMBOL_STR(netdev_err) },
	{ 0x75e96bff, __VMLINUX_SYMBOL_STR(__dev_kfree_skb_any) },
	{ 0xd08893f7, __VMLINUX_SYMBOL_STR(skb_push) },
	{ 0x794b927e, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0xe8cd56dc, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0xaede83ce, __VMLINUX_SYMBOL_STR(usbnet_read_cmd) },
	{ 0x5ee52022, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0xb8d2be74, __VMLINUX_SYMBOL_STR(netif_carrier_off) },
	{ 0x7c97c8a4, __VMLINUX_SYMBOL_STR(__ll_sc_atomic_add_return) },
	{ 0x745c048e, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0x3d146068, __VMLINUX_SYMBOL_STR(usbnet_get_endpoints) },
	{ 0x5792f848, __VMLINUX_SYMBOL_STR(strlcpy) },
	{ 0x1e369c27, __VMLINUX_SYMBOL_STR(usbnet_get_drvinfo) },
	{ 0x75349f01, __VMLINUX_SYMBOL_STR(__dynamic_dev_dbg) },
	{ 0x1fdc7df2, __VMLINUX_SYMBOL_STR(_mcount) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore";

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "023228A0A1E66530C590585");

MODULE_INFO(suserelease, "openSUSE Leap 15.1");
