#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x46e8b552, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0xa6fbdd67, __VMLINUX_SYMBOL_STR(platform_driver_unregister) },
	{ 0xdac5c6e3, __VMLINUX_SYMBOL_STR(__platform_driver_register) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x9c53321a, __VMLINUX_SYMBOL_STR(phy_set_mode) },
	{ 0xdc0d355f, __VMLINUX_SYMBOL_STR(phy_power_on) },
	{ 0x9a908b80, __VMLINUX_SYMBOL_STR(test_and_clear_bit) },
	{ 0xdfbecee4, __VMLINUX_SYMBOL_STR(platform_device_register_full) },
	{ 0x16c4355, __VMLINUX_SYMBOL_STR(devm_usb_get_phy) },
	{ 0x3d20f0, __VMLINUX_SYMBOL_STR(usb_phy_generic_register) },
	{ 0xa1551fc, __VMLINUX_SYMBOL_STR(devm_phy_get) },
	{ 0x5825973e, __VMLINUX_SYMBOL_STR(extcon_get_edev_by_phandle) },
	{ 0xc2e45809, __VMLINUX_SYMBOL_STR(__devm_reset_control_get) },
	{ 0x75c09613, __VMLINUX_SYMBOL_STR(devm_clk_get) },
	{ 0x88511637, __VMLINUX_SYMBOL_STR(of_device_is_compatible) },
	{ 0x722d32b3, __VMLINUX_SYMBOL_STR(usb_get_dr_mode) },
	{ 0xddf22d9, __VMLINUX_SYMBOL_STR(devm_kmalloc) },
	{ 0xb0eb332f, __VMLINUX_SYMBOL_STR(__pm_runtime_resume) },
	{ 0x20a24929, __VMLINUX_SYMBOL_STR(phy_init) },
	{ 0xa53ea36, __VMLINUX_SYMBOL_STR(devm_extcon_register_notifier) },
	{ 0xb2210d64, __VMLINUX_SYMBOL_STR(reset_control_deassert) },
	{ 0x815588a6, __VMLINUX_SYMBOL_STR(clk_enable) },
	{ 0x7c9a7371, __VMLINUX_SYMBOL_STR(clk_prepare) },
	{ 0x165a1c9c, __VMLINUX_SYMBOL_STR(sunxi_sram_claim) },
	{ 0xcb32cb36, __VMLINUX_SYMBOL_STR(musb_writeb) },
	{ 0x97fdbab9, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x8e4abc90, __VMLINUX_SYMBOL_STR(musb_interrupt) },
	{ 0x96220280, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0xef469a34, __VMLINUX_SYMBOL_STR(phy_power_off) },
	{ 0x6c4b6684, __VMLINUX_SYMBOL_STR(reset_control_assert) },
	{ 0x57608b32, __VMLINUX_SYMBOL_STR(devm_usb_put_phy) },
	{ 0x44a1b62f, __VMLINUX_SYMBOL_STR(sunxi_sram_release) },
	{ 0xb077e70a, __VMLINUX_SYMBOL_STR(clk_unprepare) },
	{ 0xb6e6d99d, __VMLINUX_SYMBOL_STR(clk_disable) },
	{ 0xb7fe668a, __VMLINUX_SYMBOL_STR(phy_exit) },
	{ 0x88bfa7e, __VMLINUX_SYMBOL_STR(cancel_work_sync) },
	{ 0x81ee2ea, __VMLINUX_SYMBOL_STR(__pm_runtime_idle) },
	{ 0xd3259d65, __VMLINUX_SYMBOL_STR(test_and_set_bit) },
	{ 0xb432c5a1, __VMLINUX_SYMBOL_STR(dev_warn) },
	{ 0xebd2e972, __VMLINUX_SYMBOL_STR(musb_root_disconnect) },
	{ 0xd9846934, __VMLINUX_SYMBOL_STR(sun4i_usb_phy_set_squelch_detect) },
	{ 0x2d3385d3, __VMLINUX_SYMBOL_STR(system_wq) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0xae8c4d0c, __VMLINUX_SYMBOL_STR(set_bit) },
	{ 0xa87cf413, __VMLINUX_SYMBOL_STR(clear_bit) },
	{ 0xe8cd56dc, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0x8e526ee4, __VMLINUX_SYMBOL_STR(usb_phy_generic_unregister) },
	{ 0xba92cda2, __VMLINUX_SYMBOL_STR(platform_device_unregister) },
	{ 0x1fdc7df2, __VMLINUX_SYMBOL_STR(_mcount) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=phy-generic,musb_hdrc,phy-sun4i-usb";

MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-musb");
MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-musbC*");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-musb");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-musbC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-musb");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-musbC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-musb");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-musbC*");

MODULE_INFO(srcversion, "EDBCB9246236D0F624CFF86");

MODULE_INFO(suserelease, "openSUSE Leap 15.1");
